function geit_next_btn() {
	var check = jQuery("input[name='attachment_id']:checked").val();

	if (typeof check === "undefined") {
		jQuery('.geit-geotagger-msg').attr('style', 'color:red');
		jQuery('.geit-geotagger-msg').addClass('update-notice');
		jQuery('.geit-geotagger-msg').text('Please select atlease one image.');
	} else {
		jQuery('.geit-geotagger-msg').text('');
		jQuery('.geit-geotagger-msg').removeClass('update-notice');
		jQuery('.geit-images').hide();
		jQuery('.geit-geotag').show();

		// populate geotag form with values from settings
		jQuery('#geit-latitude').val(lat);
		jQuery('#geit-longitude').val(lng);
		jQuery('#geit-author').val(author);
		jQuery('#geit-description').val(description);
	}
};

function geit_select_all_btn() {
	if (jQuery('.geit-selected').length === jQuery('.geit-media-item').length) {
		jQuery('.geit-media-item').removeClass('geit-selected');
		jQuery('.geit-media-item').find("input[type=checkbox]").prop('checked', false);
		jQuery('.select-all-button').text('Select All');
	} else {
		jQuery('.geit-media-item').addClass('geit-selected');
		jQuery('.geit-media-item').find("input[type=checkbox]").prop('checked', true);
		jQuery('.select-all-button').text('Unselect All');
	}
};

function geit_cancel() {
	jQuery('.geit-media-item').removeClass('geit-selected');
	jQuery("input[name='attachment_id']:checked").prop('checked', false);
	jQuery('#geit-latitude').val('');
	jQuery('#geit-longitude').val('');
	jQuery('#geit-description').val('');
	jQuery('.geit-geotagger-msg').text('');
	jQuery('.geit-geotagger-msg').removeClass('update-notice');
	jQuery('.geit-images').show();
	jQuery('.geit-geotag').hide();
}

function geit_update_media() {
	var images = [];
	jQuery.each(
		jQuery("input[name='attachment_id']:checked"),
		function () {
			images.push(jQuery(this).val());
		}
	);
	var lat = jQuery('#geit-latitude').val();
	var long = jQuery('#geit-longitude').val();
	var des = jQuery('#geit-description').val();
	var aut = jQuery('#geit-author').val();
	if (lat != '') {
		if (long != '') {
			jQuery('.loader').attr('style', 'display: block;');
			jQuery.ajax(
				{
					url: ajaxurl,
					type: 'POST',
					data: { 'action': 'geit_store_exif_data', 'data': { 'images': images, 'lat': lat, 'long': long, 'des': des, 'aut': aut } },
					success: function (response) {
						jQuery('.loader').attr('style', 'display: none;');
						var obj = jQuery.parseJSON(response);
						if (obj.code == 200) {
							jQuery('.geit-geotagger-msg').attr('style', 'color:green');
							jQuery('.geit-geotagger-msg').addClass('update-notice');
							jQuery('.geit-geotagger-msg').text(obj.message);
							jQuery('.geit-media-item').removeClass('geit-selected');
							jQuery("input[name='attachment_id']:checked").prop('checked', false);
							jQuery('#geit-latitude').val('');
							jQuery('#geit-longitude').val('');
							jQuery('#geit-description').val('');
							jQuery('.geit-images').show();
							jQuery('.geit-geotag').hide();
						} else {
							jQuery('.geit-geotagger-msg').attr('style', 'color:red');
							jQuery('.geit-geotagger-msg').html(obj.message);
							jQuery('.geit-geotagger-msg').addClass('update-notice');
						}
						setTimeout(
							function () {
								jQuery('.geit-geotagger-msg').text('');
								jQuery('.geit-geotagger-msg').removeClass('update-notice');
							},
							15000
						);
					}
				}
			)
		} else {
			jQuery('.geit-geotagger-msg').attr('style', 'color:red');
			jQuery('.geit-geotagger-msg').addClass('update-notice');
			jQuery('.geit-geotagger-msg').text('Longitude field is required.');
		}
	} else {
		jQuery('.geit-geotagger-msg').attr('style', 'color:red');
		jQuery('.geit-geotagger-msg').addClass('update-notice');
		jQuery('.geit-geotagger-msg').text('Latitude field is required.');
	}
}

function geit_image_search(title) {
	jQuery.ajax(
		{
			url: ajaxurl,
			type: 'POST',
			data: { 'action': 'geit_image_search', 'data': { 'search': title } },
			success: function (data) {
				var obj = jQuery.parseJSON(data);
				if (obj.status == 'Success') {
					jQuery('.geit-media-items .geit-media-item').remove();
					jQuery('.geit-image-message').remove();
					var images = '';
					jQuery.each(
						obj.data,
						function (attachment_id, image) {
							images += '<li class="geit-media-item" >\n\
			            		<div class="geit-thumbnail">\n\
			            			<input type="checkbox" name="attachment_id" value="' + attachment_id + '">\n\
			            			' + image + '\n\
			            			<div class="geit-geotag-icon">\n\
			            				<div class="geit-icon"></div>\n\
			            			</div>\n\
			            		</div>\n\
				            </li>';
						}
					);
					jQuery('.geit-media-items').append(images);
				} else {
					jQuery('.geit-media-items').html('<div class="geit-image-message">Image not found.</div>');
				}
			}
		}
	);
}

jQuery(document).on(
	'click',
	'.geit-media-item',
	function () {
		var is_check = jQuery(this).find("input[type=checkbox]:checked");
		if (is_check.length > 0) {
			jQuery(this).removeClass('geit-selected');
			jQuery(this).find("input[type=checkbox]").prop('checked', false);
		} else {
			var count = jQuery('.geit-media-item').find("input[type=checkbox]:checked").length;
			if (count < 300) {
				jQuery(this).addClass('geit-selected');
				jQuery(this).find("input[type=checkbox]").prop('checked', true);
			} else {
				alert('Only 300 images are allowed to select.');
			}
		}
	}
);
