<?php

defined( 'ABSPATH' ) || exit;

use Automattic\Jetpack\Constants;

$css_dir        = Constants::get_constant( 'LWM_PLUGIN_SIDEBAR_ASSETS_URL' ) . 'css' . DIRECTORY_SEPARATOR;
$scripts_suffix = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';
?>
<style>
	<?php
	require $css_dir . 'lightweb-media-plugin-sidebar' .$scripts_suffix . '.css';
	?>
</style>
<div id="lwm-plugin-sidebar-wrapper">
	<div class="lwm-plugin-sidebar-box bg-alter-one">
		<div class="lwm-plugin-sidebar-box-header">
			<h6><?php esc_html_e( 'Lightweb Media Newsletter', 'lightweb-media-plugin-sidebar' ); ?></h6>
		</div>
		<div class="lwm-plugin-sidebar-box-inside">
			<a href="<?php echo esc_url( 'https://lightweb-media.de/newsletter/' ); ?>" target="_blank">
				<img src="<?php echo esc_url( 'https://lightweb-media.de/wp-content/themes/lightweb-media_theme/images/lightweb-media-logo.svg' ); ?>"
					 alt="<?php esc_html_e( 'Lightweb Media', 'lightweb-media-plugin-sidebar' ); ?>">
			</a>
			<p class="lwm-plugin-sidebar-box-text"><?php esc_html_e( 'Never miss an upcoming post again! Our monthly dossier about the latest info on WordPress, SEO and marketing directly to your inbox.', 'lightweb-media-plugin-sidebar' ); ?></p>
			<a class="lwm-plugin-sidebar-box-btn" href="<?php echo esc_url( 'https://lightweb-media.de/newsletter/' ); ?>" target="_blank"><?php esc_html_e( 'Learn more', 'lightweb-media-plugin-sidebar' ); ?></a>
		</div>
	</div>
	<div class="lwm-plugin-sidebar-box">
		<div class="lwm-plugin-sidebar-box-header">
			<h6><?php esc_html_e( 'Public Plugins and Tools', 'lightweb-media-plugin-sidebar' ); ?></h6>
		</div>
		<div class="lwm-plugin-sidebar-box-inside">
			<a href="<?php echo esc_url( 'https://lightweb-media.de/tools/' ); ?>" target="_blank">
				<img src="<?php echo esc_url( 'https://lightweb-media.de/wp-content/uploads/2023/10/plugin-und-tools.png' ); ?>"
					 alt="<?php esc_html_e( 'Lightweb Media Tools', 'lightweb-media-plugin-sidebar' ); ?>">
			</a>
			<p class="lwm-plugin-sidebar-box-text"><?php esc_html_e( 'We create plugins for better SEO with WordPress. Among others also an EXIF plugin with WebP support.', 'lightweb-media-plugin-sidebar' ); ?></p>
			<div class="lwm-plugin-sidebar-box-rating">
				<img src="<?php echo esc_url( 'https://lightweb-media.de/wp-content/uploads/2023/11/sidebar-rating.png' ); ?>" alt="<?php esc_html_e( 'Rating', 'lightweb-media-plugin-sidebar' ); ?>">
				<p class="lwm-plugin-sidebar-box-rating-title"><?php esc_html_e( '"The Local SEO EXIF plugin was the game-changer"', 'lightweb-media-plugin-sidebar' ); ?></p>
				<p class="lwm-plugin-sidebar-box-rating-subtitle"><?php esc_html_e( '"After I used the plugin for a local client, the rankings just exploded"', 'lightweb-media-plugin-sidebar' ); ?></p>
			</div>
			<a class="lwm-plugin-sidebar-box-btn" href="<?php echo esc_url( 'https://lightweb-media.de/tools/exif-local-seo-geo-tagger/' ); ?>"
			   target="_blank"><?php esc_html_e( 'Learn more', 'lightweb-media-plugin-sidebar' ); ?></a>
		</div>
	</div>
	<div class="lwm-plugin-sidebar-box">
		<div class="lwm-plugin-sidebar-box-header">
			<h6><?php esc_html_e( 'Services & Case Studies', 'lightweb-media-plugin-sidebar' ); ?></h6>
		</div>
		<div class="lwm-plugin-sidebar-box-inside">
			<ul class="lwm-plugin-sidebar-box-list ul-disc">
				<li><a href="<?php echo esc_url( 'https://lightweb-media.de/agentur/wordpress/wordpress-theme-erstellen-lassen/' ); ?>"
					   target="_blank"><?php esc_html_e( 'WordPress Theme creation', 'lightweb-media-plugin-sidebar' ); ?></a></li>
				<li><a href="<?php echo esc_url( 'https://lightweb-media.de/agentur/wordpress/wordpress-plugin-erstellen-lassen/' ); ?>"
					   target="_blank"><?php esc_html_e( 'WordPress Plugin creation', 'lightweb-media-plugin-sidebar' ); ?></a></li>
				<li><a href="<?php echo esc_url( 'https://lightweb-media.de/agentur/wordpress/wartung/' ); ?>" target="_blank"><?php esc_html_e( 'WordPress Maintenance', 'lightweb-media-plugin-sidebar' ); ?></a></li>
				<li><a href="<?php echo esc_url( 'https://lightweb-media.de/pagespeed-optimierung/' ); ?>" target="_blank"><?php esc_html_e( 'PageSpeed Optimization', 'lightweb-media-plugin-sidebar' ); ?></a></li>
				<li><a href="<?php echo esc_url( 'https://lightweb-media.de/cases/' ); ?>" target="_blank"><?php esc_html_e( 'Case Studies', 'lightweb-media-plugin-sidebar' ); ?></a></li>
			</ul>
		</div>
	</div>
</div>
